<?php

/*
Reportes:
1. Clientes Nuevos (Cantidad)  --> CN
2. Clientes Vencidos (Monto Saldo y Cantidad) --> PV
3. Morosos (Monto Saldo y Cantidad) --> PM
4. Gasto Administrativo --> PGA
5. Prestamos Nuevos --> PN
6. Prestamos Renovados --> PR
7. Prestamos Refinanciados --> PF
8. Cobranza de Mora --> CM
9. Capital de Trabajo --> CaT
10. Cobranza diaria --> CD

*/

set_time_limit (3600 );


define('SF_ROOT_DIR', "/home/sinergiaperu/public_html/sinergia");
//define('SF_ROOT_DIR', "C://wamp/www/sinergia");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');


////////////////////////////////////////////////////////////////////////////////////////
//clases incluidas del sistema



$con = Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);

if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}



$fechaUltima=  date('Y-m-d');
//$fechaUltima=  '2018-05-18';
$fechaInicio= date('Y-m-d',strtotime($fechaUltima.'-12 day'));




$sql = "SELECT distinct FechaBalance
		FROM `cr_balance_dia_detalle`
		WHERE 	`FechaBalance` >= '".$fechaInicio."' 
				and FechaBalance <= '".$fechaUltima."' ";
	
$result = mysql_query($sql,$con);

$num_rows = mysql_num_rows($result);
    

if($num_rows > 0){
  while ($o_valor = mysql_fetch_object($result)) {
  	
  	  $FechaBalance = $o_valor->FechaBalance;	
  	
  	  $sql = "SELECT cr_sucursal.IdSucursal, cr_sucursal.Descripcion as NombreSucursal,  cr_mercado.IdMercado , cr_mercado.Descripcion as NombreMercado ,  cr_colaborador.IdColaborador , concat(cr_colaborador.ApellidoPaterno,' ',cr_colaborador.ApellidoMaterno,', ',cr_colaborador.Nombres) as NombreRepresentante 
       		  FROM cr_sucursal
       		  INNER JOIN  cr_sucursal_mercado 	on cr_sucursal.idSucursal = cr_sucursal_mercado.idSucursal
       		  INNER JOIN  cr_mercado 			on cr_mercado.idMercado = cr_sucursal_mercado.idMercado
       		  INNER JOIN  cr_mercado_representante	on cr_mercado.idMercado = cr_mercado_representante.idMercado
       		  INNER JOIN  cr_colaborador	on cr_colaborador.idColaborador = cr_mercado_representante.idColaborador
       		  WHERE cr_sucursal.eliminado = '0'
       		  		and  cr_mercado.eliminado = '0'  
       		  		and  cr_colaborador.eliminado = '0'  
       		  		and  cr_colaborador.idRol = 'sys.ope'
       		  		";
      
    
      $result_J = mysql_db_query(Conexion::getNameDb(), $sql, $con);
      //echo $sql;
      //echo "<br><br><br><br><br><br>ddddd";
      $num_rows_J = mysql_num_rows($result_J);
      echo $num_rows_J;
      if($num_rows_J > 0){
        while ($o_valor_J = mysql_fetch_object($result_J)) {
  	
        	$IdSucursal 		= $o_valor_J->IdSucursal;
        	$IdMercado 			= $o_valor_J->IdMercado;
        	$IdColaborador		= $o_valor_J->IdColaborador;
        	$NombreSucursal		= $o_valor_J->NombreSucursal;
        	$NombreMercado		= $o_valor_J->NombreMercado;
        	$NombreRepresentante= $o_valor_J->NombreRepresentante;
        	        	
        	
        	$c_prestamosId_CN = "";
  			$c_prestamosId_PV = "";
  			$c_prestamosId_PM = "";
  			$c_prestamosId_PGA = "";
  			
  			$c_prestamosPN = "";
  			$c_prestamosPR = "";
  			$c_prestamosPF = "";
  			
  			$c_cobranza_CM = "";
  			$c_cobranza_CD = "";
  			$c_cobranza_CaT = "";	  		
  			
  			$prestamos_nuevos 		= 0;
			$prestamos_renovados 	= 0;
			$prestamos_financiados	= 0;
			$a_prestamosPN 	= null;
			$a_prestamosPR 	= null;
			$a_prestamosPF 	= null;
			
			
			$clientes_nuevos 	= 0;
			$a_prestamosId_CN 	= null;
			$a_prestamosId_PGA 	= null;
			$sumaPrestamosGA	= 0;
  			
		  			  	
		  	//Para reporte 1 (CN) y 4 --  5, 6 y 7 --------------------------------------------------------------------------------------
			$sql = "SELECT *
					FROM 	cr_prestamo
					WHERE 	1 and FechaInicio = '".$FechaBalance."' 
							and IdColaborador = '".$IdColaborador."'  and estado = 'P'";
				
			$result_p = mysql_query($sql,$con);
			$num_rows_p = mysql_num_rows($result_p);
			
			if($num_rows_p > 0){
				
				
				
				
		  		while ($o_valor_p = mysql_fetch_object($result_p)) {
		  			$IdPrestamo = $o_valor_p->IdPrestamo;
		  			$IdCliente 	= $o_valor_p->IdCliente;
		  			$FechaInicio 	= $o_valor_p->FechaInicio;
		  			
		  			
		  			if($o_valor_p->Origen == "F"){ //Son prestamos renovados y financiados
		  				
		  				if($o_valor_p->MontoExtra){
		  					$prestamos_renovados++;		  				
							$a_prestamosPR[] = $IdPrestamo;	
		  				}else{
		  					$prestamos_financiados++;		  				
							$a_prestamosPF[] = $IdPrestamo;	 				
		  				}
		  				
		  				if($o_valor_p->GastoAdministrativo > 0){ //Son prestamos nuevos	
		  					$a_prestamosId_PGA[] =  $o_valor_p->IdPrestamo;
		  					$sumaPrestamosGA 	+= $o_valor_p->GastoAdministrativo;
		  				}
		  			}
		  				
		  			//Verificar si el prestamo es de un cliente nuevo y ver que prestamos son nuevos
		  			if($o_valor_p->Origen == "R"){ //Son prestamos nuevos
		  				//Suma Gastos administrativos
			  			if($o_valor_p->GastoAdministrativo > 0){ //Son prestamos renovados
			  				$a_prestamosId_PGA[] =  $o_valor_p->IdPrestamo;
			  				$sumaPrestamosGA 	+= $o_valor_p->GastoAdministrativo;
			  			}
			  			
						$prestamos_nuevos++;		  				
						$a_prestamosPN[]	= $IdPrestamo;
		  				
		  				
		  				
		  				$sql = "SELECT *
								FROM 	cr_prestamo
								WHERE 	1 and IdCliente = '".$IdCliente."' 
										AND eliminado = '0'
										AND IdPrestamo <> '".$IdPrestamo."' 
										AND IdColaborador = '".$IdColaborador."'
										AND FechaInicio <= '".$FechaInicio."'
										";
							
						$result_pn = mysql_query($sql,$con);
						$num_rows_pn = mysql_num_rows($result_pn);
						
						if($num_rows_pn == 0){
							$a_prestamosId_CN[] =  $o_valor_p->IdPrestamo;
					  		$clientes_nuevos++;
					  	}
		  			}
		  			
		  		}
		  	}
		  	
  			//-------------------------------------------------------------------------------------------------------------------
  			
  			//Analizar los prestamos vencidos - los que se consideran como morosos para la fecha
  			
  			//Para reporte 2 y 3--------------------------------------------------------------------------------------
  			$a_prestamosId_PM = null;
  			$a_prestamosId_PV = null;
  			$sumaSaldoPrestamoM = 0;
  			$sumaSaldoPrestamoV = 0;
  			$dias_plazo = 7;
			$sql = "SELECT *
					FROM 	cr_prestamo
					WHERE 	1 and IdColaborador = '".$IdColaborador."' 
							and fechavencimiento < '$FechaBalance' and estado = 'P'
							and eliminado = '0' ";
			//if($IdColaborador == 12 )echo $sql;	
			$result_pvm = mysql_query($sql,$con);
			$num_rows_pvm = mysql_num_rows($result_pvm);
			
			if($num_rows_pvm > 0){
				while ($o_valor_pvm = mysql_fetch_object($result_pvm)) {
					if($o_valor_pvm->FlagReporte == '1'){
						$a_prestamosId_PM[] =  $o_valor_pvm->IdPrestamo;
			  			$sumaSaldoPrestamoM += $o_valor_pvm->SaldoPrestamo;
					}else{
						$fecha_tope = date('Y-m-d',strtotime($o_valor_pvm->FechaVencimiento.' +7 day'));
						
						if($fecha_tope <= $FechaBalance){
							$a_prestamosId_PM[] =  $o_valor_pvm->IdPrestamo;
			  				$sumaSaldoPrestamoM += $o_valor_pvm->SaldoPrestamo;
						}else{
							//echo $o_valor_p->IdPrestamo."--><br>";
							$a_prestamosId_PV[] =  $o_valor_pvm->IdPrestamo;
			  				$sumaSaldoPrestamoV += $o_valor_pvm->SaldoPrestamo;
						}
					}
				}
			}
					  			
  			//-------------------------------------------------------------------------------------------------------------------
  			
			//Analizar los prestamos vencidos - los que se consideran como morosos para la fecha
  			
  			//Para reporte 8 y 10 --------------------------------------------------------------------------------------
  			$a_cobranza_CM = null;
  			$a_cobranza_CD = null;
  			$sumaPagoCM = 0;
  			$sumaPagoCD = 0;
  			
			$sql = "SELECT *
					FROM 	cr_pago
					WHERE 	1 and IdColaborador = '".$IdColaborador."' 
							and FechaPago = '$FechaBalance' and MontoPago > 0";
				
			$result_p = mysql_query($sql,$con);
			$num_rows_p = mysql_num_rows($result_p);
			
			if($num_rows_p > 0){
				while ($o_valor_p = mysql_fetch_object($result_p)) {
					
						if($o_valor_p->TipoPago == 2){
							$sumaPagoCM += $o_valor_p->MontoPago;
							$a_cobranza_CM[] += $o_valor_p->IdPrestamo;
						}else{
							$sumaPagoCD += $o_valor_p->MontoPago;
		  					$a_cobranza_CD[] += $o_valor_p->IdPrestamo;
						}
					
				}
			}
					  			
  			//-------------------------------------------------------------------------------------------------------------------  			
  			
  			//Para reporte 9 --------------------------------------------------------------------------------------
  			$a_cobranza_CaT = null;
  			
  			$SumaSaldoPrestamo 	= 0;
  			  			
			$sql = "SELECT *
					FROM 	cr_prestamo
					WHERE 	1 and IdColaborador	= '".$IdColaborador."' 
							and estado 			= 'P' 
							and eliminado 		= '0' 		
					";
				
			$result_p = mysql_query($sql,$con);
			$num_rows_p = mysql_num_rows($result_p);
			
			if($num_rows_p > 0){
				while ($o_valor_p = mysql_fetch_object($result_p)) {
						$a_cobranza_CaT[] = $o_valor_p->IdPrestamo;				
						$SumaSaldoPrestamo  += $o_valor_p->SaldoPrestamo;
						
					
				}
			}
  			
  			//-------------------------------------------------------------------------------------------------------------------
  			
  			
  			
  			
  			if(is_array($a_prestamosId_CN)) $c_prestamosId_CN = implode(",",$a_prestamosId_CN);
  			
  			if(is_array($a_prestamosId_PV)) $c_prestamosId_PV = implode(",",$a_prestamosId_PV);
  			if(is_array($a_prestamosId_PM)) $c_prestamosId_PM = implode(",",$a_prestamosId_PM);
  			if(is_array($a_prestamosId_PGA)) $c_prestamosId_PGA = implode(",",$a_prestamosId_PGA);
  			
  			if(is_array($a_prestamosPN)) $c_prestamosPN = implode(",",$a_prestamosPN);
  			if(is_array($a_prestamosPR)) $c_prestamosPR = implode(",",$a_prestamosPR);
  			if(is_array($a_prestamosPF)) $c_prestamosPF = implode(",",$a_prestamosPF);
  			
  			if(is_array($a_cobranza_CM)) $c_cobranza_CM = implode(",",$a_cobranza_CM);
  			if(is_array($a_cobranza_CD)) $c_cobranza_CD = implode(",",$a_cobranza_CD);
  			if(is_array($a_cobranza_CaT)) $c_cobranza_CaT = implode(",",$a_cobranza_CaT);
  			
  			  			
			$sql = "INSERT INTO
						dw_matriz
						(
						fecha,idmercado,idsucursal,idcolaborador,
						ind_cn,id_pre_cn,
						ind_pv,id_pre_pv,
						ind_pm,id_pre_pm,
						ind_pga,id_pre_pga,
						ind_pn,id_pre_pn,
						ind_pr,id_pre_pr,
						ind_pf,id_pre_pf,
						ind_cm,id_pre_cm,
						ind_cat,id_pre_cat,
						ind_cd,id_pre_cd,
						nombresucursal, nombremercado,nombrerepresentante
						)
					VALUES
						(
						'".$FechaBalance."','".$IdMercado."','".$IdSucursal."', '".$IdColaborador."',
						'".$clientes_nuevos."','".$c_prestamosId_CN."',
						'".$sumaSaldoPrestamoV."', '".$c_prestamosId_PV."',
						'".$sumaSaldoPrestamoM."', '".$c_prestamosId_PM."',
						'".$sumaPrestamosGA."', '".$c_prestamosId_PGA."',
						'".$prestamos_nuevos."', '".$c_prestamosPN."',
						'".$prestamos_renovados."', '".$c_prestamosPR."',
						'".$prestamos_financiados."', '".$c_prestamosPF."',
						'".$sumaPagoCM."', '".$c_cobranza_CM."',
						'".$SumaSaldoPrestamo."', '".$c_cobranza_CaT."',
						'".$sumaPagoCD."', '".$c_cobranza_CD."',
						'".$NombreSucursal."', '".$NombreMercado."', '".$NombreRepresentante."'
						
						)";
				
			$result_p = mysql_query($sql,$con);
			
	  	
        }
      }
  	
  }
}





exit;

